Subject: Re: Many gits are offline this week

From: David Brown <[email-masked]>
Date: Fri, 5 Oct 2007 09:20:29 -0700

On Fri, Oct 05, 2007 at 06:41:43PM +0400, Dmitry Potapov wrote:

>I believe I have found one mistake in your slides. Slide 18 reads:
>"git-commit -a" is like "git-add .; git-commit"
>
>But it is incorrect, because "git-commit -a" does not add new files, so
>it works like "git-add -u .; git-commit".

"git-commit -a" also detects files that have been deleted, whereas
"git-add" does not.  In fact, I haven't found an easy way to detect this
other than "git-commit -a", and it is the only reason I ever run
"git-commit -a"

Dave